const ToolbarChallenge = () => {
  const handleToolbar = () => {
    console.log("You clicked toolbar");
  };
  const handleVideo = (e) => {
    // e.stopPropagation();
    console.log("You clicked Video");
  };
  const handleImage = (e) => {
    // e.stopPropagation();
    console.log("You clicked image");
  };

  const handleSubmit = (e) => {
    e.preventDefault();
    console.log("on submit");
  };

  return (
    <div className="Toolbar" onClick={handleToolbar}>
      {/* onSubmit is form event */}
      <form onSubmit={handleSubmit}>
        {/* button has 3 types: submit, reset and button */}
        {/* button places inside <form> is of type submit by default */}
        <button onClick={handleVideo}>Play Video</button>
        <button onClick={handleImage}>Upload Image</button>
      </form>
    </div>
  );
};

export default ToolbarChallenge;
